using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_SheZhi_YuMingFenPai : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改域名分配", "网站后台", "更改域名分配", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            更改设置();
        else
            设置();
    }
    private void 设置()
    {
        YuMingLieBiao.Text = Convert.ToString(程序.设置["域名分配_域名列表"]);
        DiZhiLieBiao.Text = Convert.ToString(程序.设置["域名分配_地址列表"]);
    }
    private void 更改设置()
    {
        访问.验证权限("1");
        程序.设置["域名分配_域名列表"] = YuMingLieBiao.Text;
        程序.设置["域名分配_地址列表"] = DiZhiLieBiao.Text;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), System.Text.Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改域名分配设置", 访问.用户["昵称"].ToString());
    }
}
